import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class DefiedgeContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    miniChefV2({ address, network }: ContractOpts): import("./ethers").MiniChefV2;
    strategy({ address, network }: ContractOpts): import("./ethers").Strategy;
}
export type { MiniChefV2 } from './ethers';
export type { Strategy } from './ethers';
